package dev.shadowsoffire.apotheosis.ench.enchantments;

import net.minecraft.world.item.HoeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.EquipmentSlot;
import dev.shadowsoffire.apotheosis.ench.EnchModule;
import net.minecraft.world.item.enchantment.Enchantment;

public class TemptingEnchant extends Enchantment
{
    public TemptingEnchant() {
        super(Enchantment.Rarity.UNCOMMON, EnchModule.HOE, new EquipmentSlot[0]);
    }
    
    public int m_6183_(final int enchantmentLevel) {
        return 0;
    }
    
    public int m_6175_(final int enchantmentLevel) {
        return 200;
    }
    
    public boolean shouldFollow(final LivingEntity target) {
        return this.shouldFollow(target.m_21205_()) || this.shouldFollow(target.m_21206_());
    }
    
    private boolean shouldFollow(final ItemStack stack) {
        return stack.m_41720_() instanceof HoeItem && stack.getEnchantmentLevel((Enchantment)this) > 0;
    }
}
